Mercury API
CmdReadTagAndKillMultiple Method (timeout, antenna, filter, accessPassword, killPassword)
Namespaces ► ThingMagic ► SerialReader ► CmdReadTagAndKillMultiple(UInt16, SerialReader..::.AntennaSelection, TagFilter, UInt32, UInt32)
Search for tags for a specified amount of time and kill each one.
Declaration Syntax

C# | Visual Basic | Visual C++

    [ObsoleteAttribute]
    public int[] CmdReadTagAndKillMultiple(
    	ushort timeout,
    	SerialReader..::.AntennaSelection antenna,
    	TagFilter filter,
    	uint accessPassword,
    	uint killPassword
    )

    <ObsoleteAttribute> _
    Public Function CmdReadTagAndKillMultiple ( _
    	timeout As UShort, _
    	antenna As SerialReader..::.AntennaSelection, _
    	filter As TagFilter, _
    	accessPassword As UInteger, _
    	killPassword As UInteger _
    ) As Integer()

    [ObsoleteAttribute]
    public:
    array<int>^ CmdReadTagAndKillMultiple(
    	unsigned short timeout,
    	SerialReader..::.AntennaSelection antenna,
    	TagFilter^ filter,
    	unsigned int accessPassword,
    	unsigned int killPassword
    )

Parameters

timeout (UInt16)
  the duration in milliseconds to search for tags. Valid range is 0-65535

antenna (SerialReader..::.AntennaSelection)
  the antenna or antennas to use for the search

filter (TagFilter)
  a specification of the air protocol filtering to perform

accessPassword (UInt32)
  the access password to use when killing the tag

killPassword (UInt32)
  the kill password to use when killing found tags

Return Value
A three-element array: {the number of tags found, the number of tags successfully killed, the number of tags unsuccessfully killed}

Assembly: MercuryAPI (Module: MercuryAPI) Version: 1.29.4.34 (1.29.4.34)